import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';
import {message} from './message'


const csvUrl = "https://gist.githubusercontent.com/vigneswaran009/ce1a77b3ad169bf9eb85af12d641281a/raw/CssNamedColors.csv";



const App = () => {
  
  const [data, setData] = useState(null);
  
  useEffect(()=>{
  csv(csvUrl).then(setData);


  }, []);
     return <pre>Data is : {data ? message(data): 'loading...'}</pre>;
  
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);